#
# spec file for package patterns-public-cloud-15
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           patterns-public-cloud-15
BuildRequires:  patterns-rpm-macros
Summary:        Patterns for the interaction with Public Clouds
License:        GPL-2.0+
Group:          Metapackages
Version:        15.1
Release:        150100.8.3.1
Url:            http://en.opensuse.org/Patterns
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-rpmlintrc

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

%package Amazon-Web-Services
Summary:        Amazon Web Services - All
Group:          Metapackages
Provides:       pattern() = Amazon_Web_Services
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 1000
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Amazon-Web-Services = %version
Obsoletes:      patterns-public-cloud-Amazon-Web-Services < %version

Requires:       aws-cli
Requires:       cloud-init
Requires:       cloud-regionsrv-client
Requires:       cloud-regionsrv-client-plugin-ec2
Requires:       docker-img-store-setup
Requires:       growpart
Requires:       python3-ec2metadata
Requires:       python3-ec2imgutils
Requires:       python3-s3transfer
Requires:       python3-susepubliccloudinfo
Requires:       regionServiceClientConfigEC2
Requires:       s3fs
Requires:       supportutils-plugin-suse-public-cloud

%description Amazon-Web-Services
This pattern installs all Amazon Web Services command line interface tools,
instance initialization packages and tools to communicate with the cloud
framework from within a running instance. It is not recommended to install this
pattern, but instead install one of the use-case specific patterns (e.g.
Amazon Web Services - Tools).

%files Amazon-Web-Services
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services.txt

%package Amazon-Web-Services-Tools
Summary:        Amazon Web Services - Tools
Group:          Metapackages
Provides:       pattern() = Amazon_Web_Services_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 1001
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Amazon-Web-Services-Tools = %version
Obsoletes:      patterns-public-cloud-Amazon-Web-Services-Tools < %version

Requires:       aws-cli
Requires:       python3-ec2imgutils
Requires:       python3-s3transfer
Requires:       python3-susepubliccloudinfo
Requires:       s3fs

%description Amazon-Web-Services-Tools
This pattern installs the Amazon Web Services command line interface tools to
communicate with the cloud framework (e.g. aws-cli).

%files Amazon-Web-Services-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services-Tools.txt

%package Amazon-Web-Services-Instance-Init
Summary:        Amazon Web Services - Instance Initialization
Group:          Metapackages
Provides:       pattern() = Amazon_Web_Services_Instance_Init
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 1002
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Amazon-Web-Services-Instance-Init = %version
Obsoletes:      patterns-public-cloud-Amazon-Web-Services-Instance-Init < %version

Requires:       cloud-init

%description Amazon-Web-Services-Instance-Init
This pattern installs the Amazon Web Services instance initialization packages
which support the provisioning and running of instances in the cloud framework
(e.g. cloud-init).

%files Amazon-Web-Services-Instance-Init
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services-Instance-Init.txt

%package Amazon-Web-Services-Instance-Tools
Summary:        Amazon Web Services - Instance Tools
Group:          Metapackages
Provides:       pattern() = Amazon_Web_Services_Instance_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 1003
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Amazon-Web-Services-Instance-Tools = %version
Obsoletes:      patterns-public-cloud-Amazon-Web-Services-Instance-Tools < %version

Requires:       cloud-regionsrv-client
Requires:       cloud-regionsrv-client-plugin-ec2
Requires:       docker-img-store-setup
Requires:       growpart
Requires:       python3-ec2metadata
Requires:       python3-s3transfer
Requires:       regionServiceClientConfigEC2
Requires:       s3fs
Requires:       supportutils-plugin-suse-public-cloud

%description Amazon-Web-Services-Instance-Tools
This pattern install the Amazon Web Services instance specific tools which are
used to collect instance metadata (e.g. python-ec2metadata).

%files Amazon-Web-Services-Instance-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services-Instance-Tools.txt


%package Microsoft-Azure
Summary:        Microsoft Azure - All
Group:          Metapackages
Provides:       pattern() = Microsoft_Azure
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 2000
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Microsoft-Azure = %version
Obsoletes:      patterns-public-cloud-Microsoft-Azure < %version

Requires:       azure-cli
Requires:       azuremetadata
Requires:       cloud-regionsrv-client
Requires:       cloud-regionsrv-client-plugin-azure
Requires:       docker-img-store-setup
Requires:       growpart
Requires:       python-azure-agent
Requires:       python3-susepubliccloudinfo
Requires:       regionServiceClientConfigAzure
Requires:       supportutils-plugin-suse-public-cloud

%description Microsoft-Azure
This pattern installs all Microsoft Azure command line interface tools,
instance initialization packages and tools to communicate with the cloud
framework from within a running instance. It is not recommended to install
this pattern, but instead install one of the use-case specific patterns (e.g.
Microsoft Azure - Tools).

%files Microsoft-Azure
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure.txt

%package Microsoft-Azure-Tools
Summary:        Microsoft Azure - Tools
Group:          Metapackages
Provides:       pattern() = Microsoft_Azure_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 2001
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Microsoft-Azure-Tools = %version
Obsoletes:      patterns-public-cloud-Microsoft-Azure-Tools < %version

Requires:       azure-cli
Requires:       python3-azure-sdk
Requires:       python3-susepubliccloudinfo

%description Microsoft-Azure-Tools
This pattern installs the Microsoft Azure command line interface tools to
communicate with the cloud framework (e.g. azure-cli).

%files Microsoft-Azure-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure-Tools.txt

%package Microsoft-Azure-Instance-Init
Summary:        Microsoft Azure - Instance Initialization
Group:          Metapackages
Provides:       pattern() = Microsoft_Azure_Instance_Init
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 2002
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Microsoft-Azure-Instance-Init = %version
Obsoletes:      patterns-public-cloud-Microsoft-Azure-Instance-Init < %version

Requires:       python-azure-agent

%description Microsoft-Azure-Instance-Init
This pattern installs the Microsoft Azure instance initialization packages
which support the provisioning and running of instances in the cloud framework
(e.g. python-azure-agent).

%files Microsoft-Azure-Instance-Init
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure-Instance-Init.txt

%package Microsoft-Azure-Instance-Tools
Summary:        Microsoft Azure - Instance Tools
Group:          Metapackages
Provides:       pattern() = Microsoft_Azure_Instance_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 2003
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Microsoft-Azure-Instance-Tools = %version
Obsoletes:      patterns-public-cloud-Microsoft-Azure-Instance-Tools < %version

Requires:       azuremetadata
Requires:       cloud-regionsrv-client
Requires:       cloud-regionsrv-client-plugin-azure
Requires:       docker-img-store-setup
Requires:       growpart
Requires:       regionServiceClientConfigAzure
Requires:       supportutils-plugin-suse-public-cloud

%description Microsoft-Azure-Instance-Tools
This pattern install the Microsoft Azure instance specific tools which are
used to collect instance metadata (e.g. azuremetadata).

%files Microsoft-Azure-Instance-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure-Instance-Tools.txt


%package Google-Cloud-Platform
Summary:        Google Cloud Platform - All
Group:          Metapackages
Provides:       pattern() = Google_Cloud_Platform
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 3000
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Google-Cloud-Platform = %version
Obsoletes:      patterns-public-cloud-Google-Cloud-Platform < %version

Requires:       cloud-regionsrv-client
Requires:       cloud-regionsrv-client-plugin-gce
Requires:       docker-img-store-setup
Requires:       google-compute-engine-init
Requires:       google-compute-engine-oslogin
Requires:       growpart
Requires:       growpart-rootgrow
Requires:       python3-gcemetadata
Requires:       python3-susepubliccloudinfo
Requires:       regionServiceClientConfigGCE
Requires:       supportutils-plugin-suse-public-cloud

%description Google-Cloud-Platform
This pattern installs all Google Cloud Platform command line interface tools,
instance initialization packages and tools to communicate with the cloud
framework from within a running instance. It is not recommended to install this
pattern, but instead install one of the use-case specific patterns (e.g.
Google Cloud Platform - Tools).

%files Google-Cloud-Platform
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform.txt

%package Google-Cloud-Platform-Tools
Summary:        Google Cloud Platform - Tools
Group:          Metapackages
Provides:       pattern() = Google_Cloud_Platform_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 3001
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Google-Cloud-Platform-Tools = %version
Obsoletes:      patterns-public-cloud-Google-Cloud-Platform-Tools < %version

Requires:       python3-susepubliccloudinfo

%description Google-Cloud-Platform-Tools
This pattern installs the Google Cloud Platform command line interface tools
to communicate with the cloud framework (e.g. google-cloud-sdk).

%files Google-Cloud-Platform-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform-Tools.txt

%package Google-Cloud-Platform-Instance-Init
Summary:        Google Cloud Platform - Instance Initialization
Group:          Metapackages
Provides:       pattern() = Google_Cloud_Platform_Instance_Init
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 3002
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Google-Cloud-Platform-Instance-Init = %version
Obsoletes:      patterns-public-cloud-Google-Cloud-Platform-Instance-Init < %version

Requires:       google-compute-engine-init
Requires:       google-compute-engine-oslogin

%description Google-Cloud-Platform-Instance-Init
This pattern installs the Google Cloud Platform instance initialization packages
which support the provisioning and running of instances in the cloud framework
(e.g. google-daemon).

%files Google-Cloud-Platform-Instance-Init
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform-Instance-Init.txt

%package Google-Cloud-Platform-Instance-Tools
Summary:        Google Cloud Platform - Instance Tools
Group:          Metapackages
Provides:       pattern() = Google_Cloud_Platform_Instance_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 3003
Provides:       pattern-visible()
Provides:       patterns-public-cloud-Google-Cloud-Platform-Instance-Tools = %version
Obsoletes:      patterns-public-cloud-Google-Cloud-Platform-Instance-Tools < %version

Requires:       cloud-regionsrv-client
Requires:       cloud-regionsrv-client-plugin-gce
Requires:       docker-img-store-setup
Requires:       growpart
Requires:       python3-gcemetadata
Requires:       regionServiceClientConfigGCE
Requires:       supportutils-plugin-suse-public-cloud

%description Google-Cloud-Platform-Instance-Tools
This pattern install the Google Cloud Platform instance specific tools which are
used to collect instance metadata (e.g. python-gcemetadata).

%files Google-Cloud-Platform-Instance-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform-Instance-Tools.txt


%package OpenStack
Summary:        OpenStack - All
Group:          Metapackages
Provides:       pattern() = OpenStack
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 4000
Provides:       pattern-visible()
Provides:       patterns-public-cloud-OpenStack = %version
Obsoletes:      patterns-public-cloud-OpenStack < %version

Requires:       cloud-init
Requires:       docker-img-store-setup
Requires:       growpart
Requires:       growpart-rootgrow
Requires:       python3-heat-cfntools
Requires:       python3-susepubliccloudinfo
Requires:       supportutils-plugin-suse-public-cloud

Recommends:     openstack-suse-macros
Recommends:     openstack-suse-sudo

%description OpenStack
This pattern installs all OpenStack command line interface tools,
instance initialization packages and tools to communicate with the cloud
framework from within a running instance. It is not recommended to install this
pattern, but instead install one of the use-case specific patterns (e.g.
OpenStack - Tools).

%files OpenStack
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/OpenStack.txt

%package OpenStack-Tools
Summary:        OpenStack - Tools
Group:          Metapackages
Provides:       pattern() = OpenStack_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 4001
Provides:       pattern-visible()
Provides:       patterns-public-cloud-OpenStack-Tools = %version
Obsoletes:      patterns-public-cloud-OpenStack-Tools < %version

Requires:       python3-susepubliccloudinfo
# Should have list of all the clients Dirk can you please inert these?

Recommends:     openstack-suse-macros
Recommends:     openstack-suse-sudo

%description OpenStack-Tools
This pattern installs the OpenStack command line interface tools
to communicate with the cloud framework (e.g. python-susepubliccloudinfo).

%files OpenStack-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/OpenStack-Tools.txt

%package OpenStack-Instance-Init
Summary:        OpenStack - Instance Initialization
Group:          Metapackages
Provides:       pattern() = OpenStack_Instance_Init
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 4002
Provides:       pattern-visible()
Provides:       patterns-public-cloud-OpenStack-Instance-Init = %version
Obsoletes:      patterns-public-cloud-OpenStack-Instance-Init < %version

Requires:       cloud-init

%description OpenStack-Instance-Init
This pattern installs the OpenStack instance initialization packages
which support the provisioning and running of instances in the cloud framework
(e.g. cloud-init).

%files OpenStack-Instance-Init
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/OpenStack-Instance-Init.txt

%package OpenStack-Instance-Tools
Summary:        OpenStack - Instance Tools
Group:          Metapackages
Provides:       pattern() = OpenStack_Instance_Tools
Provides:       pattern-icon() = pattern-public-cloud
Provides:       pattern-order() = 4003
Provides:       pattern-visible()
Provides:       patterns-public-cloud-OpenStack-Instance-Tools = %version
Obsoletes:      patterns-public-cloud-OpenStack-Instance-Tools < %version

Requires:       docker-img-store-setup
Requires:       growpart
Requires:       python3-heat-cfntools
Requires:       supportutils-plugin-suse-public-cloud

%description OpenStack-Instance-Tools
This pattern install the OpenStack instance specific tools which are
used to collect instance metadata.

%files OpenStack-Instance-Tools
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-public-cloud-15
/usr/share/doc/packages/patterns-public-cloud-15/OpenStack-Instance-Tools.txt


%prep
# empty on purpose

%install

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/
echo 'This file marks the pattern Amazon-Web-Services to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services.txt
echo 'This file marks the pattern Amazon-Web-Services-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services-Tools.txt
echo 'This file marks the pattern Amazon-Web-Services-Instance-Init to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services-Instance-Init.txt
echo 'This file marks the pattern Amazon-Web-Services-Instance-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Amazon-Web-Services-Instance-Tools.txt
echo 'This file marks the pattern Microsoft-Azure to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure.txt
echo 'This file marks the pattern Microsoft-Azure-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure-Tools.txt
echo 'This file marks the pattern Microsoft-Azure-Instance-Init to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure-Instance-Init.txt
echo 'This file marks the pattern Microsoft-Azure-Instance-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Microsoft-Azure-Instance-Tools.txt
echo 'This file marks the pattern Google-Cloud-Platform to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform.txt
echo 'This file marks the pattern Google-Cloud-Platform-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform-Tools.txt
echo 'This file marks the pattern Google-Cloud-Platform-Instance-Init to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform-Instance-Init.txt
echo 'This file marks the pattern Google-Cloud-Platform-Instance-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/Google-Cloud-Platform-Instance-Tools.txt
echo 'This file marks the pattern OpenStack to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/OpenStack.txt
echo 'This file marks the pattern OpenStack-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/OpenStack-Tools.txt
echo 'This file marks the pattern OpenStack-Instance-Init to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/OpenStack-Instance-Init.txt
echo 'This file marks the pattern OpenStack-Instance-Tools to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-public-cloud-15/OpenStack-Instance-Tools.txt

%changelog
* Fri Feb 25 2022 aosthof@suse.com
- Fix pattern migration issue from SLE 12 -> SLE 15 (bsc#1196122)
* Thu Nov 15 2018 aosthof@suse.de
- Add python3-azure-sdk to the Microsoft-Azure-Tools pattern
* Wed Nov 14 2018 aosthof@suse.de
- Add growpart-rootgrow package to Google-Cloud-Platform and
  Google-Cloud-Platform-Instance-Tools patterns
- Replaced python3-ec2deprecateimg, python3-ec2publishimg and
  python3-ec2uploadimg by python3-ec2imgutils
* Thu Mar 15 2018 aosthof@suse.de
- Replace dashes by underscores in pattern names (bsc#1085453)
* Tue Feb 27 2018 tbechtold@suse.com
- use python3-heat-cfntools (bsc#1078607)
* Tue Nov 21 2017 aosthof@suse.de
- Fix typo
- Fix directory names
* Fri Nov 10 2017 rjschwei@suse.com
- Initial build
  + Version 1.0
  + Derived from patterns-public-cloud in SLE 12
